commit 09e98a3e170ecdeb25a0e1afe81bdbeeeaf21f48
Author: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date:   Wed Sep 14 17:57:32 2011 +0300

    Teach the makefile used to build stand-alone libpq on Windows that libpq
    needs win32setlocale.c now. The cygwin and MSVC build scripts were changed
    earlier, but this was neglected. This should fix bug report #6203 by Steve.

diff --git a/src/interfaces/libpq/win32.mak b/src/interfaces/libpq/win32.mak
index fd778d0..70a741a 100644
--- a/src/interfaces/libpq/win32.mak
+++ b/src/interfaces/libpq/win32.mak
@@ -87,8 +87,8 @@ CLEAN :
 	-@erase "$(INTDIR)\inet_aton.obj"
 	-@erase "$(INTDIR)\crypt.obj"
 	-@erase "$(INTDIR)\noblock.obj"
-	-@erase "$(INTDIR)\chklocale.obj" 
-	-@erase "$(INTDIR)\inet_net_ntop.obj" 
+	-@erase "$(INTDIR)\chklocale.obj"
+	-@erase "$(INTDIR)\inet_net_ntop.obj"
 	-@erase "$(INTDIR)\md5.obj"
 	-@erase "$(INTDIR)\ip.obj"
 	-@erase "$(INTDIR)\fe-auth.obj"
@@ -114,6 +114,7 @@ CLEAN :
 	-@erase "$(INTDIR)\pgsleep.obj"
 	-@erase "$(INTDIR)\open.obj"
 	-@erase "$(INTDIR)\win32error.obj"
+	-@erase "$(INTDIR)\win32setlocale.obj"
 	-@erase "$(OUTDIR)\$(OUTFILENAME).lib"
 	-@erase "$(OUTDIR)\$(OUTFILENAME)dll.lib"
 	-@erase "$(OUTDIR)\libpq.res"
@@ -159,6 +160,7 @@ LIB32_OBJS= \
 	"$(INTDIR)\pgsleep.obj" \
 	"$(INTDIR)\open.obj" \
 	"$(INTDIR)\win32error.obj" \
+	"$(INTDIR)\win32setlocale.obj" \
 	"$(INTDIR)\pthread-win32.obj"
 
 
@@ -330,6 +332,11 @@ LINK32_OBJS= \
 	$(CPP_PROJ) /I"." ..\..\port\win32error.c
 <<
 
+"$(INTDIR)\win32setlocale.obj" : ..\..\port\win32setlocale.c
+	$(CPP) @<<
+	$(CPP_PROJ) /I"." ..\..\port\win32setlocale.c
+<<
+
 .c{$(CPP_OBJS)}.obj:
 	$(CPP) $(CPP_PROJ) $<
 
